ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package feature
  Definition Classes
    ds
- BEDInFormatter
- BEDOutFormatter
- CoverageDataset
- DatasetBoundCoverageDataset
- DatasetBoundFeatureDataset
- FeatureDataset
- GFF3InFormatter
- GFF3OutFormatter
- GTFInFormatter
- GTFOutFormatter
- NarrowPeakInFormatter
- NarrowPeakOutFormatter
- ParquetUnboundCoverageDataset
- ParquetUnboundFeatureDataset
- RDDBoundCoverageDataset
- RDDBoundFeatureDataset

c

org.bdgenomics.adam.ds.feature

# BEDInFormatter 

###
Companion object BEDInFormatter

#### case class BEDInFormatter extends InFormatter[Feature, Feature, FeatureDataset, BEDInFormatter] with Product with Serializable

Linear Supertypes
Product, Equals, InFormatter[Feature, Feature, FeatureDataset, BEDInFormatter], Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BEDInFormatter
2. Product
3. Equals
4. InFormatter
5. Serializable
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  val companion: BEDInFormatter.type
   Attributes
     protected
   Definition Classes
     BEDInFormatter → InFormatter
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
9.  final def isInstanceOf[T0]: Boolean
   Definition Classes
     Any
10.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
14.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
15.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
16.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
17.  def write(os: OutputStream, iter: Iterator[Feature]): Unit

    Writes features to an output stream in BED format.

    Writes features to an output stream in BED format.

    os

      An OutputStream connected to a process we are piping to.

    iter

      An iterator of features to write.

    Definition Classes
      BEDInFormatter → InFormatter

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Product

### Inherited from Equals

### Inherited from InFormatter[Feature, Feature, FeatureDataset, BEDInFormatter]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped